This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 995583 (CVE-2013-4752)

Summary: CVE-2013-4752 php-symfony2-HttpFoundation: Request::getHost() poisioning
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: shawn
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130807,reported=20130809,source=gentoo,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/php-symfony2-HttpFoundation=affected,epel-6/php-symfony2-HttpFoundation=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-15 19:25:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 995586, 995587    
Bug Blocks:    

Description Vincent Danen 2013-08-09 15:04:37 EDT
As noted from [1]:

CVE-2013-4752: Request::getHost() poisoning

Affected versions

All 2.0.X, 2.1.X, 2.2.X, and 2.3.X versions of the HttpFoundation component are affected by this issue.

Description:

As the $_SERVER['HOST'] content is an input coming from the user, it can be manipulated and cannot be trusted. In the recent months, a lot of different attacks have been discovered relying on inconsistencies between the handling of the Host header by various software (web servers, reverse proxies, web frameworks, ...). Basically, everytime the framework is generating an absolute URL (when sending an email to reset a password for instance), the host might have been manipulated by an attacker. And depending on the configuration of your web server, the Symfony Request::getHost() method might be vulnerable to some of these attacks.

As these attacks depend on the web server configuration, the fact that you are using a reverse proxy or not, and many other factors, I recommend you to read more about this problem that affects frameworks in all languages, in the great and detailed blog post, Practical HTTP Host header attacks. This article also contains a lot of tips about how to configure your web server in a more secure way.

A patch is also available [2].

[1] http://symfony.com/blog/security-releases-symfony-2-0-24-2-1-12-2-2-5-and-2-3-3-released
[2] https://github.com/symfony/symfony/compare/5d93815d84128e933a11b178dc51b1c244239245...b8b972fe74e73ac5dc397e25d07e5873339fd286.patch
Comment 1 Vincent Danen 2013-08-09 15:06:20 EDT
Created php-symfony2-HttpFoundation tracking bugs for this issue:

Affects: fedora-all [bug 995586]
Affects: epel-6 [bug 995587]
Comment 2 Fedora Update System 2013-08-20 20:10:24 EDT
php-symfony2-HttpFoundation-2.2.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-08-20 20:12:03 EDT
php-symfony2-HttpFoundation-2.2.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-08-31 15:20:32 EDT
php-symfony2-HttpFoundation-2.2.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Shawn Iwinski 2013-11-15 19:25:22 EST
Dependent bugs (bug 995586, bug 995587) closed.